| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__DomainCodeData Struct Reference
Domain Code

Domain Code Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__DomainCodePrefixType * | PrefixType
| Prefix Type. More...
enum unsp__DomainCodeRedirectTo * | RedirectTo
| Indicates whether the Domain Code supports delegating the translation from a BG's private numbering plan to the BG's common numbering plan or the global numbering plan. More...
xsd__boolean * | Retranslate
| Indicates whether the domain code will be retranslated. More...
xsd__string | Number
| Indicates the number associated with this domain code. More...
xsd__string | TrafficTypeName
| Indicates the Traffic Type associated with the domain code. More...
enum unsp__DomainCodeDestinationType * | DestType
| Destination Type. More...
xsd__string | DestName
| Destination Name. More...

## Detailed Description

Domain Code Data.

## Member Data Documentation

## ◆ DestName

xsd__string unsp__DomainCodeData::DestName

Destination Name.

required: false

See also
  unsp__DestName

## ◆ DestType

enum unsp__DomainCodeDestinationType* unsp__DomainCodeData::DestType

Destination Type.

required: false
default value[range]: NA

## ◆ Number

xsd__string unsp__DomainCodeData::Number

Indicates the number associated with this domain code.

required: false
default value[range]: NA [1..30]

## ◆ PrefixType

enum unsp__DomainCodePrefixType* unsp__DomainCodeData::PrefixType

Prefix Type.

required: false
default value[range]: DCPrefixTypeOnNetAccess

## ◆ RedirectTo

enum unsp__DomainCodeRedirectTo* unsp__DomainCodeData::RedirectTo

Indicates whether the Domain Code supports delegating the translation from a BG's private numbering plan to the BG's common numbering plan or the global numbering plan.

required: false
default value[range]: DCRedirectToNone

## ◆ Retranslate

xsd__boolean* unsp__DomainCodeData::Retranslate

Indicates whether the domain code will be retranslated.

required: false
default value[range]: DCPrefixTypeOnNetAccess

## ◆ TrafficTypeName

xsd__string unsp__DomainCodeData::TrafficTypeName

Indicates the Traffic Type associated with the domain code.

required: false
default value[range]: NA [1..32]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h